depends = ('ITKPyBase', 'ITKTransform', 'ITKStatistics', )
templates = (
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionISS2DF', True, 'itk::Image< signed short,2 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionISS2DD', True, 'itk::Image< signed short,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC2DF', True, 'itk::Image< unsigned char,2 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC2DD', True, 'itk::Image< unsigned char,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUS2DF', True, 'itk::Image< unsigned short,2 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUS2DD', True, 'itk::Image< unsigned short,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF2DF', True, 'itk::Image< float,2 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF2DD', True, 'itk::Image< float,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionID2DF', True, 'itk::Image< double,2 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionID2DD', True, 'itk::Image< double,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVF22VD2D', True, 'itk::Image< itk::Vector< float,2 >,2 >,itk::Vector< double,2 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVF22CVD2D', True, 'itk::Image< itk::Vector< float,2 >,2 >,itk::CovariantVector< double,2 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVF22DD', True, 'itk::Image< itk::Vector< float,2 >,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVF22VD2D', True, 'itk::Image< itk::CovariantVector< float,2 >,2 >,itk::Vector< double,2 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVF22CVD2D', True, 'itk::Image< itk::CovariantVector< float,2 >,2 >,itk::CovariantVector< double,2 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVF22DD', True, 'itk::Image< itk::CovariantVector< float,2 >,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBUC2RGBUCD', True, 'itk::Image< itk::RGBPixel< unsigned char >,2 >,itk::RGBPixel< unsigned char >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBAUC2RGBAUCD', True, 'itk::Image< itk::RGBAPixel< unsigned char >,2 >,itk::RGBAPixel< unsigned char >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBUC2RGBDD', True, 'itk::Image< itk::RGBPixel< unsigned char >,2 >,itk::RGBPixel< double >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBAUC2RGBADD', True, 'itk::Image< itk::RGBAPixel< unsigned char >,2 >,itk::RGBAPixel< double >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionISS3DF', True, 'itk::Image< signed short,3 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionISS3DD', True, 'itk::Image< signed short,3 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC3DF', True, 'itk::Image< unsigned char,3 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC3DD', True, 'itk::Image< unsigned char,3 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUS3DF', True, 'itk::Image< unsigned short,3 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUS3DD', True, 'itk::Image< unsigned short,3 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF3DF', True, 'itk::Image< float,3 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF3DD', True, 'itk::Image< float,3 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionID3DF', True, 'itk::Image< double,3 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionID3DD', True, 'itk::Image< double,3 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVF33VD3D', True, 'itk::Image< itk::Vector< float,3 >,3 >,itk::Vector< double,3 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVF33CVD3D', True, 'itk::Image< itk::Vector< float,3 >,3 >,itk::CovariantVector< double,3 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVF33DD', True, 'itk::Image< itk::Vector< float,3 >,3 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVF33VD3D', True, 'itk::Image< itk::CovariantVector< float,3 >,3 >,itk::Vector< double,3 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVF33CVD3D', True, 'itk::Image< itk::CovariantVector< float,3 >,3 >,itk::CovariantVector< double,3 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVF33DD', True, 'itk::Image< itk::CovariantVector< float,3 >,3 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBUC3RGBUCD', True, 'itk::Image< itk::RGBPixel< unsigned char >,3 >,itk::RGBPixel< unsigned char >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBAUC3RGBAUCD', True, 'itk::Image< itk::RGBAPixel< unsigned char >,3 >,itk::RGBAPixel< unsigned char >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBUC3RGBDD', True, 'itk::Image< itk::RGBPixel< unsigned char >,3 >,itk::RGBPixel< double >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBAUC3RGBADD', True, 'itk::Image< itk::RGBAPixel< unsigned char >,3 >,itk::RGBAPixel< double >,double'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionISS2DSS', True, 'itk::Image< signed short,2 >,double,signed short'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIUC2DUC', True, 'itk::Image< unsigned char,2 >,double,unsigned char'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIUS2DUS', True, 'itk::Image< unsigned short,2 >,double,unsigned short'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIF2DF', True, 'itk::Image< float,2 >,double,float'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionID2DD', True, 'itk::Image< double,2 >,double,double'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionISS3DSS', True, 'itk::Image< signed short,3 >,double,signed short'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIUC3DUC', True, 'itk::Image< unsigned char,3 >,double,unsigned char'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIUS3DUS', True, 'itk::Image< unsigned short,3 >,double,unsigned short'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIF3DF', True, 'itk::Image< float,3 >,double,float'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionID3DD', True, 'itk::Image< double,3 >,double,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionISS2D', True, 'itk::Image< signed short,2 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIUC2D', True, 'itk::Image< unsigned char,2 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIUS2D', True, 'itk::Image< unsigned short,2 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIF2D', True, 'itk::Image< float,2 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionID2D', True, 'itk::Image< double,2 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionISS3D', True, 'itk::Image< signed short,3 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIUC3D', True, 'itk::Image< unsigned char,3 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIUS3D', True, 'itk::Image< unsigned short,3 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIF3D', True, 'itk::Image< float,3 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionID3D', True, 'itk::Image< double,3 >,double'),
  ('ExtrapolateImageFunction', 'itk::ExtrapolateImageFunction', 'itkExtrapolateImageFunctionISS2D', True, 'itk::Image< signed short,2 >,double'),
  ('ExtrapolateImageFunction', 'itk::ExtrapolateImageFunction', 'itkExtrapolateImageFunctionIUC2D', True, 'itk::Image< unsigned char,2 >,double'),
  ('ExtrapolateImageFunction', 'itk::ExtrapolateImageFunction', 'itkExtrapolateImageFunctionIUS2D', True, 'itk::Image< unsigned short,2 >,double'),
  ('ExtrapolateImageFunction', 'itk::ExtrapolateImageFunction', 'itkExtrapolateImageFunctionIF2D', True, 'itk::Image< float,2 >,double'),
  ('ExtrapolateImageFunction', 'itk::ExtrapolateImageFunction', 'itkExtrapolateImageFunctionID2D', True, 'itk::Image< double,2 >,double'),
  ('ExtrapolateImageFunction', 'itk::ExtrapolateImageFunction', 'itkExtrapolateImageFunctionISS3D', True, 'itk::Image< signed short,3 >,double'),
  ('ExtrapolateImageFunction', 'itk::ExtrapolateImageFunction', 'itkExtrapolateImageFunctionIUC3D', True, 'itk::Image< unsigned char,3 >,double'),
  ('ExtrapolateImageFunction', 'itk::ExtrapolateImageFunction', 'itkExtrapolateImageFunctionIUS3D', True, 'itk::Image< unsigned short,3 >,double'),
  ('ExtrapolateImageFunction', 'itk::ExtrapolateImageFunction', 'itkExtrapolateImageFunctionIF3D', True, 'itk::Image< float,3 >,double'),
  ('ExtrapolateImageFunction', 'itk::ExtrapolateImageFunction', 'itkExtrapolateImageFunctionID3D', True, 'itk::Image< double,3 >,double'),
  ('GaussianInterpolateImageFunction', 'itk::GaussianInterpolateImageFunction', 'itkGaussianInterpolateImageFunctionISS2D', True, 'itk::Image< signed short,2 >,double'),
  ('GaussianInterpolateImageFunction', 'itk::GaussianInterpolateImageFunction', 'itkGaussianInterpolateImageFunctionIUC2D', True, 'itk::Image< unsigned char,2 >,double'),
  ('GaussianInterpolateImageFunction', 'itk::GaussianInterpolateImageFunction', 'itkGaussianInterpolateImageFunctionIUS2D', True, 'itk::Image< unsigned short,2 >,double'),
  ('GaussianInterpolateImageFunction', 'itk::GaussianInterpolateImageFunction', 'itkGaussianInterpolateImageFunctionIF2D', True, 'itk::Image< float,2 >,double'),
  ('GaussianInterpolateImageFunction', 'itk::GaussianInterpolateImageFunction', 'itkGaussianInterpolateImageFunctionID2D', True, 'itk::Image< double,2 >,double'),
  ('GaussianInterpolateImageFunction', 'itk::GaussianInterpolateImageFunction', 'itkGaussianInterpolateImageFunctionISS3D', True, 'itk::Image< signed short,3 >,double'),
  ('GaussianInterpolateImageFunction', 'itk::GaussianInterpolateImageFunction', 'itkGaussianInterpolateImageFunctionIUC3D', True, 'itk::Image< unsigned char,3 >,double'),
  ('GaussianInterpolateImageFunction', 'itk::GaussianInterpolateImageFunction', 'itkGaussianInterpolateImageFunctionIUS3D', True, 'itk::Image< unsigned short,3 >,double'),
  ('GaussianInterpolateImageFunction', 'itk::GaussianInterpolateImageFunction', 'itkGaussianInterpolateImageFunctionIF3D', True, 'itk::Image< float,3 >,double'),
  ('GaussianInterpolateImageFunction', 'itk::GaussianInterpolateImageFunction', 'itkGaussianInterpolateImageFunctionID3D', True, 'itk::Image< double,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionISS2D', True, 'itk::Image< signed short,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionISS2F', True, 'itk::Image< signed short,2 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUC2D', True, 'itk::Image< unsigned char,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUC2F', True, 'itk::Image< unsigned char,2 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUS2D', True, 'itk::Image< unsigned short,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUS2F', True, 'itk::Image< unsigned short,2 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIF2D', True, 'itk::Image< float,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIF2F', True, 'itk::Image< float,2 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionID2D', True, 'itk::Image< double,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionID2F', True, 'itk::Image< double,2 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIVF22D', True, 'itk::Image< itk::Vector< float,2 >,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionICVF22D', True, 'itk::Image< itk::CovariantVector< float,2 >,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIRGBUC2D', True, 'itk::Image< itk::RGBPixel< unsigned char >,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIRGBAUC2D', True, 'itk::Image< itk::RGBAPixel< unsigned char >,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionISS3D', True, 'itk::Image< signed short,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionISS3F', True, 'itk::Image< signed short,3 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUC3D', True, 'itk::Image< unsigned char,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUC3F', True, 'itk::Image< unsigned char,3 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUS3D', True, 'itk::Image< unsigned short,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUS3F', True, 'itk::Image< unsigned short,3 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIF3D', True, 'itk::Image< float,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIF3F', True, 'itk::Image< float,3 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionID3D', True, 'itk::Image< double,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionID3F', True, 'itk::Image< double,3 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIVF33D', True, 'itk::Image< itk::Vector< float,3 >,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionICVF33D', True, 'itk::Image< itk::CovariantVector< float,3 >,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIRGBUC3D', True, 'itk::Image< itk::RGBPixel< unsigned char >,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIRGBAUC3D', True, 'itk::Image< itk::RGBAPixel< unsigned char >,3 >,double'),
  ('LabelImageGaussianInterpolateImageFunction', 'itk::LabelImageGaussianInterpolateImageFunction', 'itkLabelImageGaussianInterpolateImageFunctionISS2D', True, 'itk::Image< signed short,2 >,double'),
  ('LabelImageGaussianInterpolateImageFunction', 'itk::LabelImageGaussianInterpolateImageFunction', 'itkLabelImageGaussianInterpolateImageFunctionIUC2D', True, 'itk::Image< unsigned char,2 >,double'),
  ('LabelImageGaussianInterpolateImageFunction', 'itk::LabelImageGaussianInterpolateImageFunction', 'itkLabelImageGaussianInterpolateImageFunctionIUS2D', True, 'itk::Image< unsigned short,2 >,double'),
  ('LabelImageGaussianInterpolateImageFunction', 'itk::LabelImageGaussianInterpolateImageFunction', 'itkLabelImageGaussianInterpolateImageFunctionISS3D', True, 'itk::Image< signed short,3 >,double'),
  ('LabelImageGaussianInterpolateImageFunction', 'itk::LabelImageGaussianInterpolateImageFunction', 'itkLabelImageGaussianInterpolateImageFunctionIUC3D', True, 'itk::Image< unsigned char,3 >,double'),
  ('LabelImageGaussianInterpolateImageFunction', 'itk::LabelImageGaussianInterpolateImageFunction', 'itkLabelImageGaussianInterpolateImageFunctionIUS3D', True, 'itk::Image< unsigned short,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionISS2D', True, 'itk::Image< signed short,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIUC2D', True, 'itk::Image< unsigned char,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIUS2D', True, 'itk::Image< unsigned short,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIF2D', True, 'itk::Image< float,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionID2D', True, 'itk::Image< double,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIVF22D', True, 'itk::Image< itk::Vector< float,2 >,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionICVF22D', True, 'itk::Image< itk::CovariantVector< float,2 >,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIRGBUC2D', True, 'itk::Image< itk::RGBPixel< unsigned char >,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIRGBAUC2D', True, 'itk::Image< itk::RGBAPixel< unsigned char >,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionISS3D', True, 'itk::Image< signed short,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIUC3D', True, 'itk::Image< unsigned char,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIUS3D', True, 'itk::Image< unsigned short,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIF3D', True, 'itk::Image< float,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionID3D', True, 'itk::Image< double,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIVF33D', True, 'itk::Image< itk::Vector< float,3 >,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionICVF33D', True, 'itk::Image< itk::CovariantVector< float,3 >,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIRGBUC3D', True, 'itk::Image< itk::RGBPixel< unsigned char >,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIRGBAUC3D', True, 'itk::Image< itk::RGBAPixel< unsigned char >,3 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionISS2D', True, 'itk::Image< signed short,2 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIUC2D', True, 'itk::Image< unsigned char,2 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIUS2D', True, 'itk::Image< unsigned short,2 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIF2D', True, 'itk::Image< float,2 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionID2D', True, 'itk::Image< double,2 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionISS3D', True, 'itk::Image< signed short,3 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIUC3D', True, 'itk::Image< unsigned char,3 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIUS3D', True, 'itk::Image< unsigned short,3 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIF3D', True, 'itk::Image< float,3 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionID3D', True, 'itk::Image< double,3 >,double'),
  ('RayCastHelperEnums', 'RayCastHelperEnums', 'RayCastHelperEnums', False),
  ('RayCastInterpolateImageFunction', 'itk::RayCastInterpolateImageFunction', 'itkRayCastInterpolateImageFunctionISS3D', True, 'itk::Image< signed short,3 >,double'),
  ('RayCastInterpolateImageFunction', 'itk::RayCastInterpolateImageFunction', 'itkRayCastInterpolateImageFunctionISS3F', True, 'itk::Image< signed short,3 >,float'),
  ('RayCastInterpolateImageFunction', 'itk::RayCastInterpolateImageFunction', 'itkRayCastInterpolateImageFunctionIUC3D', True, 'itk::Image< unsigned char,3 >,double'),
  ('RayCastInterpolateImageFunction', 'itk::RayCastInterpolateImageFunction', 'itkRayCastInterpolateImageFunctionIUC3F', True, 'itk::Image< unsigned char,3 >,float'),
  ('RayCastInterpolateImageFunction', 'itk::RayCastInterpolateImageFunction', 'itkRayCastInterpolateImageFunctionIUS3D', True, 'itk::Image< unsigned short,3 >,double'),
  ('RayCastInterpolateImageFunction', 'itk::RayCastInterpolateImageFunction', 'itkRayCastInterpolateImageFunctionIUS3F', True, 'itk::Image< unsigned short,3 >,float'),
  ('RayCastInterpolateImageFunction', 'itk::RayCastInterpolateImageFunction', 'itkRayCastInterpolateImageFunctionIF3D', True, 'itk::Image< float,3 >,double'),
  ('RayCastInterpolateImageFunction', 'itk::RayCastInterpolateImageFunction', 'itkRayCastInterpolateImageFunctionIF3F', True, 'itk::Image< float,3 >,float'),
  ('RayCastInterpolateImageFunction', 'itk::RayCastInterpolateImageFunction', 'itkRayCastInterpolateImageFunctionID3D', True, 'itk::Image< double,3 >,double'),
  ('RayCastInterpolateImageFunction', 'itk::RayCastInterpolateImageFunction', 'itkRayCastInterpolateImageFunctionID3F', True, 'itk::Image< double,3 >,float'),
  ('HammingWindowFunction', 'itk::Function::HammingWindowFunction', 'itkHammingWindowFunction2', False, '2'),
  ('HammingWindowFunction', 'itk::Function::HammingWindowFunction', 'itkHammingWindowFunction3', False, '3'),
  ('CosineWindowFunction', 'itk::Function::CosineWindowFunction', 'itkCosineWindowFunction2', False, '2'),
  ('CosineWindowFunction', 'itk::Function::CosineWindowFunction', 'itkCosineWindowFunction3', False, '3'),
  ('WelchWindowFunction', 'itk::Function::WelchWindowFunction', 'itkWelchWindowFunction2', False, '2'),
  ('WelchWindowFunction', 'itk::Function::WelchWindowFunction', 'itkWelchWindowFunction3', False, '3'),
  ('LanczosWindowFunction', 'itk::Function::LanczosWindowFunction', 'itkLanczosWindowFunction2', False, '2'),
  ('LanczosWindowFunction', 'itk::Function::LanczosWindowFunction', 'itkLanczosWindowFunction3', False, '3'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionISS22Hamming', True, 'itk::Image< signed short,2 >, 2, itk::Function::HammingWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionISS22Cosine', True, 'itk::Image< signed short,2 >, 2, itk::Function::CosineWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionISS22Welch', True, 'itk::Image< signed short,2 >, 2, itk::Function::WelchWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionISS22Lanczos', True, 'itk::Image< signed short,2 >, 2, itk::Function::LanczosWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionISS23Hamming', True, 'itk::Image< signed short,2 >, 3, itk::Function::HammingWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionISS23Cosine', True, 'itk::Image< signed short,2 >, 3, itk::Function::CosineWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionISS23Welch', True, 'itk::Image< signed short,2 >, 3, itk::Function::WelchWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionISS23Lanczos', True, 'itk::Image< signed short,2 >, 3, itk::Function::LanczosWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUC22Hamming', True, 'itk::Image< unsigned char,2 >, 2, itk::Function::HammingWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUC22Cosine', True, 'itk::Image< unsigned char,2 >, 2, itk::Function::CosineWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUC22Welch', True, 'itk::Image< unsigned char,2 >, 2, itk::Function::WelchWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUC22Lanczos', True, 'itk::Image< unsigned char,2 >, 2, itk::Function::LanczosWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUC23Hamming', True, 'itk::Image< unsigned char,2 >, 3, itk::Function::HammingWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUC23Cosine', True, 'itk::Image< unsigned char,2 >, 3, itk::Function::CosineWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUC23Welch', True, 'itk::Image< unsigned char,2 >, 3, itk::Function::WelchWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUC23Lanczos', True, 'itk::Image< unsigned char,2 >, 3, itk::Function::LanczosWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUS22Hamming', True, 'itk::Image< unsigned short,2 >, 2, itk::Function::HammingWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUS22Cosine', True, 'itk::Image< unsigned short,2 >, 2, itk::Function::CosineWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUS22Welch', True, 'itk::Image< unsigned short,2 >, 2, itk::Function::WelchWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUS22Lanczos', True, 'itk::Image< unsigned short,2 >, 2, itk::Function::LanczosWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUS23Hamming', True, 'itk::Image< unsigned short,2 >, 3, itk::Function::HammingWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUS23Cosine', True, 'itk::Image< unsigned short,2 >, 3, itk::Function::CosineWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUS23Welch', True, 'itk::Image< unsigned short,2 >, 3, itk::Function::WelchWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUS23Lanczos', True, 'itk::Image< unsigned short,2 >, 3, itk::Function::LanczosWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIF22Hamming', True, 'itk::Image< float,2 >, 2, itk::Function::HammingWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIF22Cosine', True, 'itk::Image< float,2 >, 2, itk::Function::CosineWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIF22Welch', True, 'itk::Image< float,2 >, 2, itk::Function::WelchWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIF22Lanczos', True, 'itk::Image< float,2 >, 2, itk::Function::LanczosWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIF23Hamming', True, 'itk::Image< float,2 >, 3, itk::Function::HammingWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIF23Cosine', True, 'itk::Image< float,2 >, 3, itk::Function::CosineWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIF23Welch', True, 'itk::Image< float,2 >, 3, itk::Function::WelchWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIF23Lanczos', True, 'itk::Image< float,2 >, 3, itk::Function::LanczosWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionID22Hamming', True, 'itk::Image< double,2 >, 2, itk::Function::HammingWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionID22Cosine', True, 'itk::Image< double,2 >, 2, itk::Function::CosineWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionID22Welch', True, 'itk::Image< double,2 >, 2, itk::Function::WelchWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionID22Lanczos', True, 'itk::Image< double,2 >, 2, itk::Function::LanczosWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionID23Hamming', True, 'itk::Image< double,2 >, 3, itk::Function::HammingWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionID23Cosine', True, 'itk::Image< double,2 >, 3, itk::Function::CosineWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionID23Welch', True, 'itk::Image< double,2 >, 3, itk::Function::WelchWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionID23Lanczos', True, 'itk::Image< double,2 >, 3, itk::Function::LanczosWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionISS32Hamming', True, 'itk::Image< signed short,3 >, 2, itk::Function::HammingWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionISS32Cosine', True, 'itk::Image< signed short,3 >, 2, itk::Function::CosineWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionISS32Welch', True, 'itk::Image< signed short,3 >, 2, itk::Function::WelchWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionISS32Lanczos', True, 'itk::Image< signed short,3 >, 2, itk::Function::LanczosWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionISS33Hamming', True, 'itk::Image< signed short,3 >, 3, itk::Function::HammingWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionISS33Cosine', True, 'itk::Image< signed short,3 >, 3, itk::Function::CosineWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionISS33Welch', True, 'itk::Image< signed short,3 >, 3, itk::Function::WelchWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionISS33Lanczos', True, 'itk::Image< signed short,3 >, 3, itk::Function::LanczosWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUC32Hamming', True, 'itk::Image< unsigned char,3 >, 2, itk::Function::HammingWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUC32Cosine', True, 'itk::Image< unsigned char,3 >, 2, itk::Function::CosineWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUC32Welch', True, 'itk::Image< unsigned char,3 >, 2, itk::Function::WelchWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUC32Lanczos', True, 'itk::Image< unsigned char,3 >, 2, itk::Function::LanczosWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUC33Hamming', True, 'itk::Image< unsigned char,3 >, 3, itk::Function::HammingWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUC33Cosine', True, 'itk::Image< unsigned char,3 >, 3, itk::Function::CosineWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUC33Welch', True, 'itk::Image< unsigned char,3 >, 3, itk::Function::WelchWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUC33Lanczos', True, 'itk::Image< unsigned char,3 >, 3, itk::Function::LanczosWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUS32Hamming', True, 'itk::Image< unsigned short,3 >, 2, itk::Function::HammingWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUS32Cosine', True, 'itk::Image< unsigned short,3 >, 2, itk::Function::CosineWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUS32Welch', True, 'itk::Image< unsigned short,3 >, 2, itk::Function::WelchWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUS32Lanczos', True, 'itk::Image< unsigned short,3 >, 2, itk::Function::LanczosWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUS33Hamming', True, 'itk::Image< unsigned short,3 >, 3, itk::Function::HammingWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUS33Cosine', True, 'itk::Image< unsigned short,3 >, 3, itk::Function::CosineWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUS33Welch', True, 'itk::Image< unsigned short,3 >, 3, itk::Function::WelchWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIUS33Lanczos', True, 'itk::Image< unsigned short,3 >, 3, itk::Function::LanczosWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIF32Hamming', True, 'itk::Image< float,3 >, 2, itk::Function::HammingWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIF32Cosine', True, 'itk::Image< float,3 >, 2, itk::Function::CosineWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIF32Welch', True, 'itk::Image< float,3 >, 2, itk::Function::WelchWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIF32Lanczos', True, 'itk::Image< float,3 >, 2, itk::Function::LanczosWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIF33Hamming', True, 'itk::Image< float,3 >, 3, itk::Function::HammingWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIF33Cosine', True, 'itk::Image< float,3 >, 3, itk::Function::CosineWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIF33Welch', True, 'itk::Image< float,3 >, 3, itk::Function::WelchWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionIF33Lanczos', True, 'itk::Image< float,3 >, 3, itk::Function::LanczosWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionID32Hamming', True, 'itk::Image< double,3 >, 2, itk::Function::HammingWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionID32Cosine', True, 'itk::Image< double,3 >, 2, itk::Function::CosineWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionID32Welch', True, 'itk::Image< double,3 >, 2, itk::Function::WelchWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionID32Lanczos', True, 'itk::Image< double,3 >, 2, itk::Function::LanczosWindowFunction< 2 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionID33Hamming', True, 'itk::Image< double,3 >, 3, itk::Function::HammingWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionID33Cosine', True, 'itk::Image< double,3 >, 3, itk::Function::CosineWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionID33Welch', True, 'itk::Image< double,3 >, 3, itk::Function::WelchWindowFunction< 3 >'),
  ('WindowedSincInterpolateImageFunction', 'itk::WindowedSincInterpolateImageFunction', 'itkWindowedSincInterpolateImageFunctionID33Lanczos', True, 'itk::Image< double,3 >, 3, itk::Function::LanczosWindowFunction< 3 >'),
)
snake_case_functions = ('b_spline_decomposition_image_filter', )
